Bug 450061 - [ro] Create (U+0218..021B,2011) glyphs in Lat2-Terminus16.
Summary: [ro] Create (U+0218..021B,2011) glyphs in Lat2-Terminus16.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kbd
Version: 10
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Vitezslav Crhonek
QA Contact: Fedora Extras Quality Assurance
URL: http://www.secarica.ro
Whiteboard:
Depends On: 440992
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-05 00:56 UTC by Caius Chance
Modified: 2010-10-12 08:20 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-24 05:35:29 UTC
Type: ---


Attachments (Terms of Use)
glyphs in ansi (converted by 'nafe' from pcf in 'kbd packag) (40.77 KB, text/plain)
2008-06-06 06:03 UTC, Caius Chance
no flags Details

Description Caius Chance 2008-06-05 00:56:01 UTC
+++ This bug was initially created as a clone of Bug #440992 +++

Description of problem:

Glyph request on the codepoint:

- "T with comma below" (Unicode 021A)
- "t with comma below" (Unicode 021B)
- "S with comma below" (Unicode 0218)
- "s with comma below" (Unicode 0219)
- HYPHEN, U+2010
- NON-BREAKING HYPHEN, U+2011

Version-Release number of selected component (if applicable):
kbd-1.12-31.fc9.i386

How reproducible:
Always.

Steps to Reproduce:

1. Install latest Fedora (development)
2. Configure it for Romanian language
3. Go to console by Alt-F1 (not GUI terminals)
4. Press AltGr+s and AltGr+t (and Shift for capitals) to insert the specific
Romanian characters.
  
Actual results:

Expected results:
Characters mentioned should be inserted.

Additional info:
https://bugzilla.redhat.com/show_bug.cgi?id=440992

-- Additional comment from razvan.sandu@mobexpert.ro on 2008-06-04 02:52 EST --
Hello, Caius & all,

When system is set to Romanian (by anaconda, at install time or via
system-config-language, afterwards), in /etc/sysconfig/i18n we get a line:

SYSFONT="latarcyrheb-sun16"

Caius, please, do you know from which .rpm package these default fonts come from ?

We must file & resolve a bug regarding the comma/cedilla issue for these default
fonts and I don't know where to adress it, exactly.

This is extremely important, since the "latarcyrheb-sun16" is the first thing
that system "sees" after boot and we've already got some crashes due to
incorrect encoding. In some situations, some programs (including anaconda)
worked OK when set to English, but tracebacks occured when set to Romanian.


Thanks a lot,
Răzvan


-- Additional comment from cchance@redhat.com on 2008-06-04 03:41 EST --
Hi Răzvan,

(In reply to comment #20)

Hmm, it looks quite serious, doesn't it?

It's belonged to 'kbd' package in recent Fedora. Please feel free to file
another bug on that package for requesting supports on the issues you kindly
discovered.

Cheers, Caius.

-- Additional comment from alexxed@gmail.com on 2008-06-04 05:36 EST --
(In reply to comment #20)
> Hello, Caius & all,
> 
> When system is set to Romanian (by anaconda, at install time or via
> system-config-language, afterwards), in /etc/sysconfig/i18n we get a line:
> 
> SYSFONT="latarcyrheb-sun16"
> 

Are you sure? I've installed Fedora 9 i386 and x86_64 several times and
/etc/sysconfig/i18n looks like this:

LANG="ro_RO.UTF-8"
SYSFONT="Lat2-Terminus16"

I did use the graphical installer all the time. It may be only in text mode,
I'll test this.

Meantime here's a list of related bugs where this was addressed:

- comments 23 and 24 in bug 253892

- bug list:
https://bugzilla.redhat.com/buglist.cgi?version=&component=anaconda&bug_status=NEW&bug_status=ASSIGNED&bug_status=NEEDINFO&bug_status=MODIFIED&bug_status=ON_DEV&bug_status=ON_QA&bug_status=VERIFIED&bug_status=FAILS_QA&bug_status=RELEASE_PENDING&bug_status=POST&bug_status=PASSES_QA&bug_status=CLOSED&short_desc_type=allwordssubstr&short_desc=Romanian&long_desc_type=allwordssubstr&long_desc=
before opening a new bug.





-- Additional comment from razvan.sandu@mobexpert.ro on 2008-06-04 07:48 EST --
Sorry, my fault !

All systems I have at hand, running F9, were *upgraded* from F8, not fresh
installs. So Terminus is now, in F9, the default font when setting system to
Romanian ?


However:

- changing the default font is just a temporary solution, IMHO.
"latarcyrheb-sun16" should also include the correct glyphs for the Romanian
language;

- when upgrading a (*Romanian*) system from F8 to F9, why don't we change that
line in /etc/sysconfig/i18n during the upgrade itself ? Is that the correct
behaviour ?

- as for the keyboard configurator (system-config-keyboard, in both X and text
mode), it seems it dissapeared from the System menu, in F9. And I see no
replacement for it...


Regards,
Răzvan







-- Additional comment from razvan.sandu@mobexpert.ro on 2008-06-04 07:51 EST --
Regarding comment #23, probably the correct behaviour at point no. 2 is to leave
that line alone, but have the correct glyphs in "latarcyrheb-sun16"  ;-)

Regards,
Răzvan

-- Additional comment from alexxed@gmail.com on 2008-06-04 08:00 EST --
(In reply to comment #23)
> Sorry, my fault !
> 
> All systems I have at hand, running F9, were *upgraded* from F8, not fresh
> installs. So Terminus is now, in F9, the default font when setting system to
> Romanian ?

Yes, it was the quick solution.

> 
> 
> However:
> 
> - changing the default font is just a temporary solution, IMHO.
> "latarcyrheb-sun16" should also include the correct glyphs for the Romanian
> language;

I head that Fedora is planning to convert the X fonts to terminal fonts and drop
all the terminal fonts, so maybe it's worth investigating this first.

> 
> - when upgrading a (*Romanian*) system from F8 to F9, why don't we change that
> line in /etc/sysconfig/i18n during the upgrade itself ? Is that the correct
> behaviour ?

I'm afraid so, rpm upgrade keeps existing configuration.

> 
> - as for the keyboard configurator (system-config-keyboard, in both X and text
> mode), it seems it dissapeared from the System menu, in F9. And I see no
> replacement for it...

Search bugzilla or ask in the mailing list what plans are there for
system-config-keyboard and system-config-language in the future.

Here is a link: http://translate.fedoraproject.org/module/ that you can use to
find out where to report a bug to a component. Click on the module you want and
see a link to report a bug


-- Additional comment from nicolas.mailhot@laposte.net on 2008-06-04 08:11 EST --
(In reply to comment #25)
> (In reply to comment #23)

> > However:
> > 
> > - changing the default font is just a temporary solution, IMHO.
> > "latarcyrheb-sun16" should also include the correct glyphs for the Romanian
> > language;
> 
> I head that Fedora is planning to convert the X fonts to terminal fonts and drop
> all the terminal fonts, so maybe it's worth investigating this first.

As far as I know what's planned is conversion of X keyboard layouts to console
layouts. I doubt converting complex vector TTF/OTF fonts to dumb bitmap console
fonts is possible without major human involvment.


-- Additional comment from cchance@redhat.com on 2008-06-04 20:38 EST --
FYI, The font Alexandru mentioned is also within same console font package:

$ rpm -qf /lib/kbd/consolefonts/Lat2-Terminus16.psf.gz
kbd-1.12-31.fc9.i386

I agree Nicolas about converting complex vector TTF/OTF fonts to dumb bitmap
console fonts. Even if the TTF/OTF embedded bitmap glyphs, font style
consistency/readability might also be an issue.

Comment 1 Vitezslav Crhonek 2008-06-05 10:56:20 UTC
Please, could someone do quick resume and tell me, what should be fixed in kbd
package? I think that I did everything possible within kbd before.

If this is request to add new glyphs to default Fedora font (latarcyrheb-sun16),
then I must say - no, this is not possible. There is no free "slot" for another
glyphs in this font and modifying existing glyphs should broke other
languages... Changing the default font is definitely solution - there is no
font, which cover glyphs from all languages around world. So if you need glyphs
that are not in default font, then you must use alternative font.

Note, that Liberation font (and other X fonts) are not part of kbd package. Kbd
package covers text console only.

Comment 2 Caius Chance 2008-06-05 23:22:54 UTC
This is not a request of adding new glyphs to default Fedora font
(latarcyrheb-sun16), but to *Romanian Default Font*
(/lib/kbd/consolefonts/Lat2-Terminus16.psf.gz).

The Romanian has requested me to add glyphs on Liberation Fonts. Hence, this bug
is purely a task request filed against console font.

Thank you very much.

Comment 3 Alexandru Szasz 2008-06-06 05:23:14 UTC
Lat2-Terminus16 already has the following glyphs:
- "T with comma below" (Unicode 021A)
- "t with comma below" (Unicode 021B)
- "S with comma below" (Unicode 0218)
- "s with comma below" (Unicode 0219)

I don't know about the hyphens but they can't be typed anyway.

Comment 4 Caius Chance 2008-06-06 06:03:43 UTC
Created attachment 308507 [details]
glyphs in ansi (converted by 'nafe' from pcf in 'kbd packag)

nafe:
https://sourceforge.net/project/showfiles.php?group_id=116269&package_id=126269


I ain't sure if it has space for extra glyphs to be added?

Comment 5 Vitezslav Crhonek 2008-06-09 13:35:56 UTC
No, there's no space left. Maximum number of glyphs is 256 in psf format.

But as Alexandru mentioned - t, T, s, S with comma bellow are present in
Lat2-Terminus16 (this is the reason, why we packed it within kbd).

Comment 6 Caius Chance 2008-06-10 00:30:26 UTC
Hi Răzvan, could you kindly test if a fresh installed F9 have problems on
input/display/encode in Romanian console? Also, try to change
/etc/sysconfig/i18n to the font mentioned by Alexandru and see if it resolves
the problem.

Hi Vitezslav, it might be nothing to be fixed if Răzvan resolved the problem
with the above workaround. Besides, what could we do to ensure users got the
best console through Fedora release update?

Comment 7 Vitezslav Crhonek 2008-06-11 10:33:44 UTC
Caius, I donw know exactly. Setting right font to /etc/sysconfig/i18n is
anaconda job during fresh install (AFAIK), so I think it should be the same
through release update.

Comment 8 Vitezslav Crhonek 2008-06-11 10:34:22 UTC
s/donw/don't :)

Comment 9 Tony Fu 2008-09-10 03:16:25 UTC
requested by Jens Petersen (#27995)

Comment 10 Bug Zapper 2008-11-26 02:23:04 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 11 Bug Zapper 2009-11-18 10:13:12 UTC
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.